
import http from '../../util/http'

// 列表
export const getAdjustWaitOutList = (params) => {
	return http('/order/pda/adjust/wait-out', params, {
		method: 'GET',
	})
}

//获得调仓明细
export const orderWarehouseInGetAdjustInfo = (params) => {
	return http('/order/order-warehouse-in/get-adjust-info', params, {
		method: 'GET',
	})
}

export const listByOrderId = (params) => {
	return http('/order/location/list-by-order-id', params, {
		method: 'GET',
	})
}

// 获得仓库查询库域
export const getByWarehouseId = (params) => {
	return http('/ecw/warehouse-area/getByWarehouseId', params, {
		method: 'GET',
	})
}
// 调拨出仓
export const warehouseAdjustSendOut = (params) => {
	return http('/order/order-warehouse-in/warehouse-adjust-send-out', params, {
		method: 'PUT',
	})
}

// 批量调拨出仓
export const warehouseAdjustSendOutBatch = (params) => {
	return http('/order/order-warehouse-in/warehouse-adjust-send-out-batch', params, {
		method: 'PUT',
	})
}

//获得订单仓库图片分页
export const orderWarehousePicturePage = (params) => {
	return http('/order/warehouse-picture/page', params, {
		method: 'GET',
	})
}

//获得供应商分页
export const getSupplierPage = (params) => {
	return http('/ecw/supplier/page', params, {
		method: 'GET',
	})
}

/**
 * 获得订单入仓-调仓-转异相关的仓库影像列表
 * @param data
 * @returns {*}
 */
export function warehousePictureList(data){
  return http('/order/warehouse-picture/list', data, {
    method: 'POST',
  })
}

/**
 * 创建订单仓库图片
 * @param data
 * @returns {*}
 */
export const warehousePictureCreate = (data) => {
  return http('/order/warehouse-picture/create', data, {
    method: 'POST',
  })
}

export const warehousePictureDelete = (id) => {
  return http('/order/warehouse-picture/delete?id=' + id, {}, {
    method: 'DELETE',
  })
}
